<?php

/*
    All Emoncms code is released under the GNU Affero General Public License.
    See COPYRIGHT.txt and LICENSE.txt.

    ---------------------------------------------------------------------
    Emoncms - open source energy visualisation
    Part of the OpenEnergyMonitor project:
    http://openenergymonitor.org

*/

// no direct access
defined('EMONCMS_EXEC') or die('Restricted access');
  
function user_controller()
{
    global $user, $path, $session, $route ,$allowusersregister;
    global $vremenska_korekcija;
    $result = false;

    // Load html,css,js pages to the client
    if ($route->format == 'html')
    {
        if ($route->action == 'login' && !$session['read']) $result = view("Modules/user/login_block.php", array());
        //if ($route->action == 'view' && $session['write']) $result = view("Modules/user/profile/profile.php", array());  //ADMIN
        if ($route->action == 'view' ) $result = view("Modules/user/profile/profile.php", array());  // admin and users
        if ($route->action == 'logout' && $session['read']) {$user->logout(); header('Location: '.$path);}
    }
    
    // JSON API
    if ($route->format == 'json')
    {
        // Core session
        if ($route->action == 'login' && !$session['read'])
        {
            $result = $user->login(post('username'),post('password'),post('rememberme'));
            //error_log("result login: ".json_encode(array($result))."\n\r", 3, "errori.log");
            
        }    
        if ($route->action == 'register' && $allowusersregister) $result = $user->register(post('username'),post('password'),post('email'));
        if ($route->action == 'logout' && $session['read']) $user->logout();

        if ($route->action == 'changeusername' && $session['write']) $result = $user->change_username($session['userid'],get('username'));
        if ($route->action == 'changeemail' && $session['write']) $result = $user->change_email($session['userid'],get('email'));
        if ($route->action == 'changepassword' && $session['write']) $result = $user->change_password($session['userid'],get('old'),get('new'));

        // Apikey
        if ($route->action == 'newapikeyread' && $session['write']) $result = $user->new_apikey_read($session['userid']);
        if ($route->action == 'newapikeywrite' && $session['write']) $result = $user->new_apikey_write($session['userid']);

        // Get and set - user by profile client
        if ($route->action == 'get' && $session['write'])
         {
             $result = $user->get($session['userid']);
         }
         
        if ($route->action == 'set' && $session['write']) $result = $user->set($session['userid'],json_decode(get('data')));

        if ($route->action == 'getconvert' && $session['write']) $result = $user->get_convert_status($session['userid']);
        if ($route->action == 'setconvert' && $session['write']) $result = $user->set_convert_status($session['userid']);


        if ($route->action == 'timezone' && $session['read']) $result = $user->get_timezone($session['userid']);
    }
   
    //error_log("Route format: ".$route->format."\n\r", 3, "errori.log");
    //error_log("Route action: ".$route->action."\n\r", 3, "errori.log");
    //error_log("session: ".json_encode(array($session))."\n\r", 3, "errori.log");
    //error_log($_SESSION['dash_list'], 3, "errori.log");
    //error_log("result: ".json_encode(array($result))."\n\r", 3, "errori.log");
      
    return array('content'=>$result);
}
